Integrations
List connections
List the caller's own connections with provider, label, status, enabled flag, setup state and 30-day usage statistics.
Authorization
bearerApiKey AuthorizationBearer <token>
Create a scoped API key in the Adlass settings.
In: header
Query Parameters
cursor?string
Opaque continuation cursor from the previous response.
Length
length <= 2048limit?integer
Filter or parameter: limit.
Range
1 <= value <= 100Default
50Header Parameters
X-Request-Id?string
Optional correlation identifier.
Length
length <= 128Response Body
application/json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
curl -X GET "https://example.com/integrations/connections"{ "items": [ { "id": "123e4567-e89b-42d3-a456-426614174000", "provider_key": "klaviyo", "auth_scheme": "example", "label": "Customer documents", "external_identity": "example", "public_config": {}, "status": "ACTIVE", "enabled": false, "safe_error_code": "example", "test_summary": {}, "provider_contract_digest": "example", "last_tested_at": "example", "created_at": "example", "updated_at": "example", "setup_required": false, "offered_operations": [], "scope": {} } ], "next_cursor": null}